Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network90.8.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
90.8.0.0
Broadcast address
90.15.255.255
First usable
90.8.0.1
Last usable
90.15.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 5A080000 · Integer 1510473728 to 1510998015
Reverse DNS zones
8.90.in-addr.arpa
9.90.in-addr.arpa
10.90.in-addr.arpa
11.90.in-addr.arpa
12.90.in-addr.arpa
13.90.in-addr.arpa
14.90.in-addr.arpa
15.90.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011010.00001000.00000000.0000000090.8.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network01011010.00001000.00000000.0000000090.8.0.0
Broadcast01011010.00001111.11111111.1111111190.15.255.255
Split into smaller subnets/23

90.8.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
190.8.0.0/2390.8.0.1 to 90.8.1.25490.8.1.255510
290.8.2.0/2390.8.2.1 to 90.8.3.25490.8.3.255510
390.8.4.0/2390.8.4.1 to 90.8.5.25490.8.5.255510
490.8.6.0/2390.8.6.1 to 90.8.7.25490.8.7.255510
590.8.8.0/2390.8.8.1 to 90.8.9.25490.8.9.255510
690.8.10.0/2390.8.10.1 to 90.8.11.25490.8.11.255510
790.8.12.0/2390.8.12.1 to 90.8.13.25490.8.13.255510
890.8.14.0/2390.8.14.1 to 90.8.15.25490.8.15.255510
990.8.16.0/2390.8.16.1 to 90.8.17.25490.8.17.255510
1090.8.18.0/2390.8.18.1 to 90.8.19.25490.8.19.255510
1190.8.20.0/2390.8.20.1 to 90.8.21.25490.8.21.255510
1290.8.22.0/2390.8.22.1 to 90.8.23.25490.8.23.255510
1390.8.24.0/2390.8.24.1 to 90.8.25.25490.8.25.255510
1490.8.26.0/2390.8.26.1 to 90.8.27.25490.8.27.255510
1590.8.28.0/2390.8.28.1 to 90.8.29.25490.8.29.255510
1690.8.30.0/2390.8.30.1 to 90.8.31.25490.8.31.255510
1790.8.32.0/2390.8.32.1 to 90.8.33.25490.8.33.255510
1890.8.34.0/2390.8.34.1 to 90.8.35.25490.8.35.255510
1990.8.36.0/2390.8.36.1 to 90.8.37.25490.8.37.255510
2090.8.38.0/2390.8.38.1 to 90.8.39.25490.8.39.255510
2190.8.40.0/2390.8.40.1 to 90.8.41.25490.8.41.255510
2290.8.42.0/2390.8.42.1 to 90.8.43.25490.8.43.255510
2390.8.44.0/2390.8.44.1 to 90.8.45.25490.8.45.255510
2490.8.46.0/2390.8.46.1 to 90.8.47.25490.8.47.255510
2590.8.48.0/2390.8.48.1 to 90.8.49.25490.8.49.255510
2690.8.50.0/2390.8.50.1 to 90.8.51.25490.8.51.255510
2790.8.52.0/2390.8.52.1 to 90.8.53.25490.8.53.255510
2890.8.54.0/2390.8.54.1 to 90.8.55.25490.8.55.255510
2990.8.56.0/2390.8.56.1 to 90.8.57.25490.8.57.255510
3090.8.58.0/2390.8.58.1 to 90.8.59.25490.8.59.255510
3190.8.60.0/2390.8.60.1 to 90.8.61.25490.8.61.255510
3290.8.62.0/2390.8.62.1 to 90.8.63.25490.8.63.255510
3390.8.64.0/2390.8.64.1 to 90.8.65.25490.8.65.255510
3490.8.66.0/2390.8.66.1 to 90.8.67.25490.8.67.255510
3590.8.68.0/2390.8.68.1 to 90.8.69.25490.8.69.255510
3690.8.70.0/2390.8.70.1 to 90.8.71.25490.8.71.255510
3790.8.72.0/2390.8.72.1 to 90.8.73.25490.8.73.255510
3890.8.74.0/2390.8.74.1 to 90.8.75.25490.8.75.255510
3990.8.76.0/2390.8.76.1 to 90.8.77.25490.8.77.255510
4090.8.78.0/2390.8.78.1 to 90.8.79.25490.8.79.255510
4190.8.80.0/2390.8.80.1 to 90.8.81.25490.8.81.255510
4290.8.82.0/2390.8.82.1 to 90.8.83.25490.8.83.255510
4390.8.84.0/2390.8.84.1 to 90.8.85.25490.8.85.255510
4490.8.86.0/2390.8.86.1 to 90.8.87.25490.8.87.255510
4590.8.88.0/2390.8.88.1 to 90.8.89.25490.8.89.255510
4690.8.90.0/2390.8.90.1 to 90.8.91.25490.8.91.255510
4790.8.92.0/2390.8.92.1 to 90.8.93.25490.8.93.255510
4890.8.94.0/2390.8.94.1 to 90.8.95.25490.8.95.255510
4990.8.96.0/2390.8.96.1 to 90.8.97.25490.8.97.255510
5090.8.98.0/2390.8.98.1 to 90.8.99.25490.8.99.255510
5190.8.100.0/2390.8.100.1 to 90.8.101.25490.8.101.255510
5290.8.102.0/2390.8.102.1 to 90.8.103.25490.8.103.255510
5390.8.104.0/2390.8.104.1 to 90.8.105.25490.8.105.255510
5490.8.106.0/2390.8.106.1 to 90.8.107.25490.8.107.255510
5590.8.108.0/2390.8.108.1 to 90.8.109.25490.8.109.255510
5690.8.110.0/2390.8.110.1 to 90.8.111.25490.8.111.255510
5790.8.112.0/2390.8.112.1 to 90.8.113.25490.8.113.255510
5890.8.114.0/2390.8.114.1 to 90.8.115.25490.8.115.255510
5990.8.116.0/2390.8.116.1 to 90.8.117.25490.8.117.255510
6090.8.118.0/2390.8.118.1 to 90.8.119.25490.8.119.255510
6190.8.120.0/2390.8.120.1 to 90.8.121.25490.8.121.255510
6290.8.122.0/2390.8.122.1 to 90.8.123.25490.8.123.255510
6390.8.124.0/2390.8.124.1 to 90.8.125.25490.8.125.255510
6490.8.126.0/2390.8.126.1 to 90.8.127.25490.8.127.255510
6590.8.128.0/2390.8.128.1 to 90.8.129.25490.8.129.255510
6690.8.130.0/2390.8.130.1 to 90.8.131.25490.8.131.255510
6790.8.132.0/2390.8.132.1 to 90.8.133.25490.8.133.255510
6890.8.134.0/2390.8.134.1 to 90.8.135.25490.8.135.255510
6990.8.136.0/2390.8.136.1 to 90.8.137.25490.8.137.255510
7090.8.138.0/2390.8.138.1 to 90.8.139.25490.8.139.255510
7190.8.140.0/2390.8.140.1 to 90.8.141.25490.8.141.255510
7290.8.142.0/2390.8.142.1 to 90.8.143.25490.8.143.255510
7390.8.144.0/2390.8.144.1 to 90.8.145.25490.8.145.255510
7490.8.146.0/2390.8.146.1 to 90.8.147.25490.8.147.255510
7590.8.148.0/2390.8.148.1 to 90.8.149.25490.8.149.255510
7690.8.150.0/2390.8.150.1 to 90.8.151.25490.8.151.255510
7790.8.152.0/2390.8.152.1 to 90.8.153.25490.8.153.255510
7890.8.154.0/2390.8.154.1 to 90.8.155.25490.8.155.255510
7990.8.156.0/2390.8.156.1 to 90.8.157.25490.8.157.255510
8090.8.158.0/2390.8.158.1 to 90.8.159.25490.8.159.255510
8190.8.160.0/2390.8.160.1 to 90.8.161.25490.8.161.255510
8290.8.162.0/2390.8.162.1 to 90.8.163.25490.8.163.255510
8390.8.164.0/2390.8.164.1 to 90.8.165.25490.8.165.255510
8490.8.166.0/2390.8.166.1 to 90.8.167.25490.8.167.255510
8590.8.168.0/2390.8.168.1 to 90.8.169.25490.8.169.255510
8690.8.170.0/2390.8.170.1 to 90.8.171.25490.8.171.255510
8790.8.172.0/2390.8.172.1 to 90.8.173.25490.8.173.255510
8890.8.174.0/2390.8.174.1 to 90.8.175.25490.8.175.255510
8990.8.176.0/2390.8.176.1 to 90.8.177.25490.8.177.255510
9090.8.178.0/2390.8.178.1 to 90.8.179.25490.8.179.255510
9190.8.180.0/2390.8.180.1 to 90.8.181.25490.8.181.255510
9290.8.182.0/2390.8.182.1 to 90.8.183.25490.8.183.255510
9390.8.184.0/2390.8.184.1 to 90.8.185.25490.8.185.255510
9490.8.186.0/2390.8.186.1 to 90.8.187.25490.8.187.255510
9590.8.188.0/2390.8.188.1 to 90.8.189.25490.8.189.255510
9690.8.190.0/2390.8.190.1 to 90.8.191.25490.8.191.255510
9790.8.192.0/2390.8.192.1 to 90.8.193.25490.8.193.255510
9890.8.194.0/2390.8.194.1 to 90.8.195.25490.8.195.255510
9990.8.196.0/2390.8.196.1 to 90.8.197.25490.8.197.255510
10090.8.198.0/2390.8.198.1 to 90.8.199.25490.8.199.255510
10190.8.200.0/2390.8.200.1 to 90.8.201.25490.8.201.255510
10290.8.202.0/2390.8.202.1 to 90.8.203.25490.8.203.255510
10390.8.204.0/2390.8.204.1 to 90.8.205.25490.8.205.255510
10490.8.206.0/2390.8.206.1 to 90.8.207.25490.8.207.255510
10590.8.208.0/2390.8.208.1 to 90.8.209.25490.8.209.255510
10690.8.210.0/2390.8.210.1 to 90.8.211.25490.8.211.255510
10790.8.212.0/2390.8.212.1 to 90.8.213.25490.8.213.255510
10890.8.214.0/2390.8.214.1 to 90.8.215.25490.8.215.255510
10990.8.216.0/2390.8.216.1 to 90.8.217.25490.8.217.255510
11090.8.218.0/2390.8.218.1 to 90.8.219.25490.8.219.255510
11190.8.220.0/2390.8.220.1 to 90.8.221.25490.8.221.255510
11290.8.222.0/2390.8.222.1 to 90.8.223.25490.8.223.255510
11390.8.224.0/2390.8.224.1 to 90.8.225.25490.8.225.255510
11490.8.226.0/2390.8.226.1 to 90.8.227.25490.8.227.255510
11590.8.228.0/2390.8.228.1 to 90.8.229.25490.8.229.255510
11690.8.230.0/2390.8.230.1 to 90.8.231.25490.8.231.255510
11790.8.232.0/2390.8.232.1 to 90.8.233.25490.8.233.255510
11890.8.234.0/2390.8.234.1 to 90.8.235.25490.8.235.255510
11990.8.236.0/2390.8.236.1 to 90.8.237.25490.8.237.255510
12090.8.238.0/2390.8.238.1 to 90.8.239.25490.8.239.255510
12190.8.240.0/2390.8.240.1 to 90.8.241.25490.8.241.255510
12290.8.242.0/2390.8.242.1 to 90.8.243.25490.8.243.255510
12390.8.244.0/2390.8.244.1 to 90.8.245.25490.8.245.255510
12490.8.246.0/2390.8.246.1 to 90.8.247.25490.8.247.255510
12590.8.248.0/2390.8.248.1 to 90.8.249.25490.8.249.255510
12690.8.250.0/2390.8.250.1 to 90.8.251.25490.8.251.255510
12790.8.252.0/2390.8.252.1 to 90.8.253.25490.8.253.255510
12890.8.254.0/2390.8.254.1 to 90.8.255.25490.8.255.255510
12990.9.0.0/2390.9.0.1 to 90.9.1.25490.9.1.255510
13090.9.2.0/2390.9.2.1 to 90.9.3.25490.9.3.255510
13190.9.4.0/2390.9.4.1 to 90.9.5.25490.9.5.255510
13290.9.6.0/2390.9.6.1 to 90.9.7.25490.9.7.255510
13390.9.8.0/2390.9.8.1 to 90.9.9.25490.9.9.255510
13490.9.10.0/2390.9.10.1 to 90.9.11.25490.9.11.255510
13590.9.12.0/2390.9.12.1 to 90.9.13.25490.9.13.255510
13690.9.14.0/2390.9.14.1 to 90.9.15.25490.9.15.255510
13790.9.16.0/2390.9.16.1 to 90.9.17.25490.9.17.255510
13890.9.18.0/2390.9.18.1 to 90.9.19.25490.9.19.255510
13990.9.20.0/2390.9.20.1 to 90.9.21.25490.9.21.255510
14090.9.22.0/2390.9.22.1 to 90.9.23.25490.9.23.255510
14190.9.24.0/2390.9.24.1 to 90.9.25.25490.9.25.255510
14290.9.26.0/2390.9.26.1 to 90.9.27.25490.9.27.255510
14390.9.28.0/2390.9.28.1 to 90.9.29.25490.9.29.255510
14490.9.30.0/2390.9.30.1 to 90.9.31.25490.9.31.255510
14590.9.32.0/2390.9.32.1 to 90.9.33.25490.9.33.255510
14690.9.34.0/2390.9.34.1 to 90.9.35.25490.9.35.255510
14790.9.36.0/2390.9.36.1 to 90.9.37.25490.9.37.255510
14890.9.38.0/2390.9.38.1 to 90.9.39.25490.9.39.255510
14990.9.40.0/2390.9.40.1 to 90.9.41.25490.9.41.255510
15090.9.42.0/2390.9.42.1 to 90.9.43.25490.9.43.255510
15190.9.44.0/2390.9.44.1 to 90.9.45.25490.9.45.255510
15290.9.46.0/2390.9.46.1 to 90.9.47.25490.9.47.255510
15390.9.48.0/2390.9.48.1 to 90.9.49.25490.9.49.255510
15490.9.50.0/2390.9.50.1 to 90.9.51.25490.9.51.255510
15590.9.52.0/2390.9.52.1 to 90.9.53.25490.9.53.255510
15690.9.54.0/2390.9.54.1 to 90.9.55.25490.9.55.255510
15790.9.56.0/2390.9.56.1 to 90.9.57.25490.9.57.255510
15890.9.58.0/2390.9.58.1 to 90.9.59.25490.9.59.255510
15990.9.60.0/2390.9.60.1 to 90.9.61.25490.9.61.255510
16090.9.62.0/2390.9.62.1 to 90.9.63.25490.9.63.255510
16190.9.64.0/2390.9.64.1 to 90.9.65.25490.9.65.255510
16290.9.66.0/2390.9.66.1 to 90.9.67.25490.9.67.255510
16390.9.68.0/2390.9.68.1 to 90.9.69.25490.9.69.255510
16490.9.70.0/2390.9.70.1 to 90.9.71.25490.9.71.255510
16590.9.72.0/2390.9.72.1 to 90.9.73.25490.9.73.255510
16690.9.74.0/2390.9.74.1 to 90.9.75.25490.9.75.255510
16790.9.76.0/2390.9.76.1 to 90.9.77.25490.9.77.255510
16890.9.78.0/2390.9.78.1 to 90.9.79.25490.9.79.255510
16990.9.80.0/2390.9.80.1 to 90.9.81.25490.9.81.255510
17090.9.82.0/2390.9.82.1 to 90.9.83.25490.9.83.255510
17190.9.84.0/2390.9.84.1 to 90.9.85.25490.9.85.255510
17290.9.86.0/2390.9.86.1 to 90.9.87.25490.9.87.255510
17390.9.88.0/2390.9.88.1 to 90.9.89.25490.9.89.255510
17490.9.90.0/2390.9.90.1 to 90.9.91.25490.9.91.255510
17590.9.92.0/2390.9.92.1 to 90.9.93.25490.9.93.255510
17690.9.94.0/2390.9.94.1 to 90.9.95.25490.9.95.255510
17790.9.96.0/2390.9.96.1 to 90.9.97.25490.9.97.255510
17890.9.98.0/2390.9.98.1 to 90.9.99.25490.9.99.255510
17990.9.100.0/2390.9.100.1 to 90.9.101.25490.9.101.255510
18090.9.102.0/2390.9.102.1 to 90.9.103.25490.9.103.255510
18190.9.104.0/2390.9.104.1 to 90.9.105.25490.9.105.255510
18290.9.106.0/2390.9.106.1 to 90.9.107.25490.9.107.255510
18390.9.108.0/2390.9.108.1 to 90.9.109.25490.9.109.255510
18490.9.110.0/2390.9.110.1 to 90.9.111.25490.9.111.255510
18590.9.112.0/2390.9.112.1 to 90.9.113.25490.9.113.255510
18690.9.114.0/2390.9.114.1 to 90.9.115.25490.9.115.255510
18790.9.116.0/2390.9.116.1 to 90.9.117.25490.9.117.255510
18890.9.118.0/2390.9.118.1 to 90.9.119.25490.9.119.255510
18990.9.120.0/2390.9.120.1 to 90.9.121.25490.9.121.255510
19090.9.122.0/2390.9.122.1 to 90.9.123.25490.9.123.255510
19190.9.124.0/2390.9.124.1 to 90.9.125.25490.9.125.255510
19290.9.126.0/2390.9.126.1 to 90.9.127.25490.9.127.255510
19390.9.128.0/2390.9.128.1 to 90.9.129.25490.9.129.255510
19490.9.130.0/2390.9.130.1 to 90.9.131.25490.9.131.255510
19590.9.132.0/2390.9.132.1 to 90.9.133.25490.9.133.255510
19690.9.134.0/2390.9.134.1 to 90.9.135.25490.9.135.255510
19790.9.136.0/2390.9.136.1 to 90.9.137.25490.9.137.255510
19890.9.138.0/2390.9.138.1 to 90.9.139.25490.9.139.255510
19990.9.140.0/2390.9.140.1 to 90.9.141.25490.9.141.255510
20090.9.142.0/2390.9.142.1 to 90.9.143.25490.9.143.255510
20190.9.144.0/2390.9.144.1 to 90.9.145.25490.9.145.255510
20290.9.146.0/2390.9.146.1 to 90.9.147.25490.9.147.255510
20390.9.148.0/2390.9.148.1 to 90.9.149.25490.9.149.255510
20490.9.150.0/2390.9.150.1 to 90.9.151.25490.9.151.255510
20590.9.152.0/2390.9.152.1 to 90.9.153.25490.9.153.255510
20690.9.154.0/2390.9.154.1 to 90.9.155.25490.9.155.255510
20790.9.156.0/2390.9.156.1 to 90.9.157.25490.9.157.255510
20890.9.158.0/2390.9.158.1 to 90.9.159.25490.9.159.255510
20990.9.160.0/2390.9.160.1 to 90.9.161.25490.9.161.255510
21090.9.162.0/2390.9.162.1 to 90.9.163.25490.9.163.255510
21190.9.164.0/2390.9.164.1 to 90.9.165.25490.9.165.255510
21290.9.166.0/2390.9.166.1 to 90.9.167.25490.9.167.255510
21390.9.168.0/2390.9.168.1 to 90.9.169.25490.9.169.255510
21490.9.170.0/2390.9.170.1 to 90.9.171.25490.9.171.255510
21590.9.172.0/2390.9.172.1 to 90.9.173.25490.9.173.255510
21690.9.174.0/2390.9.174.1 to 90.9.175.25490.9.175.255510
21790.9.176.0/2390.9.176.1 to 90.9.177.25490.9.177.255510
21890.9.178.0/2390.9.178.1 to 90.9.179.25490.9.179.255510
21990.9.180.0/2390.9.180.1 to 90.9.181.25490.9.181.255510
22090.9.182.0/2390.9.182.1 to 90.9.183.25490.9.183.255510
22190.9.184.0/2390.9.184.1 to 90.9.185.25490.9.185.255510
22290.9.186.0/2390.9.186.1 to 90.9.187.25490.9.187.255510
22390.9.188.0/2390.9.188.1 to 90.9.189.25490.9.189.255510
22490.9.190.0/2390.9.190.1 to 90.9.191.25490.9.191.255510
22590.9.192.0/2390.9.192.1 to 90.9.193.25490.9.193.255510
22690.9.194.0/2390.9.194.1 to 90.9.195.25490.9.195.255510
22790.9.196.0/2390.9.196.1 to 90.9.197.25490.9.197.255510
22890.9.198.0/2390.9.198.1 to 90.9.199.25490.9.199.255510
22990.9.200.0/2390.9.200.1 to 90.9.201.25490.9.201.255510
23090.9.202.0/2390.9.202.1 to 90.9.203.25490.9.203.255510
23190.9.204.0/2390.9.204.1 to 90.9.205.25490.9.205.255510
23290.9.206.0/2390.9.206.1 to 90.9.207.25490.9.207.255510
23390.9.208.0/2390.9.208.1 to 90.9.209.25490.9.209.255510
23490.9.210.0/2390.9.210.1 to 90.9.211.25490.9.211.255510
23590.9.212.0/2390.9.212.1 to 90.9.213.25490.9.213.255510
23690.9.214.0/2390.9.214.1 to 90.9.215.25490.9.215.255510
23790.9.216.0/2390.9.216.1 to 90.9.217.25490.9.217.255510
23890.9.218.0/2390.9.218.1 to 90.9.219.25490.9.219.255510
23990.9.220.0/2390.9.220.1 to 90.9.221.25490.9.221.255510
24090.9.222.0/2390.9.222.1 to 90.9.223.25490.9.223.255510
24190.9.224.0/2390.9.224.1 to 90.9.225.25490.9.225.255510
24290.9.226.0/2390.9.226.1 to 90.9.227.25490.9.227.255510
24390.9.228.0/2390.9.228.1 to 90.9.229.25490.9.229.255510
24490.9.230.0/2390.9.230.1 to 90.9.231.25490.9.231.255510
24590.9.232.0/2390.9.232.1 to 90.9.233.25490.9.233.255510
24690.9.234.0/2390.9.234.1 to 90.9.235.25490.9.235.255510
24790.9.236.0/2390.9.236.1 to 90.9.237.25490.9.237.255510
24890.9.238.0/2390.9.238.1 to 90.9.239.25490.9.239.255510
24990.9.240.0/2390.9.240.1 to 90.9.241.25490.9.241.255510
25090.9.242.0/2390.9.242.1 to 90.9.243.25490.9.243.255510
25190.9.244.0/2390.9.244.1 to 90.9.245.25490.9.245.255510
25290.9.246.0/2390.9.246.1 to 90.9.247.25490.9.247.255510
25390.9.248.0/2390.9.248.1 to 90.9.249.25490.9.249.255510
25490.9.250.0/2390.9.250.1 to 90.9.251.25490.9.251.255510
25590.9.252.0/2390.9.252.1 to 90.9.253.25490.9.253.255510
25690.9.254.0/2390.9.254.1 to 90.9.255.25490.9.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses